Subject: Term 1.19 and 2.0
From: "Bill C. Riemers" <[email-masked]>
Date: 24 Jul 1994 03:17:54 +0300
Newsgroups: comp.os.linux.announce

[ Moderator's note: It seems there have been propagation problems with
  two Term announcements posted recently.  This article contains the same
  material as the two previous ones.  If you don't see this, mail me.
  --liw ]

ANNOUNCING TWO NEW TERM VERSIONS:

Term 1.19    -->  This is the version 1 series of term, and should be 
                  considered Gamma.

Term 2.0     -->  This is the first in the new term series.  This is a 
                  BETA release, and I still receive a bug report once
                  every 3-4 days.  (Normally it is something very minor.)

WHAT IS TERM?

  "term" is a program written by Michael O'Reilly which simulates many
  SLIP like features through an ordinary user's account.  At this time
  Michael is quite busy and doesn't have time to work on "term" or to 
  answer your questions, so please direct questions to me: 

    [email-masked] (Bill C. Riemers)

  I'm currently running my mail handler on this account as well so if you
  don't want an automatic reply, use a subject starting with the word "private".

WHERE IS TERM?

  Term will be available at:

    physics.purdue.edu:/pub/bcr/term/
    sunsite.unc.edu:/pub/Linux/apps/comm/term/term/

  Also, you can find any patches to this version people send me at:

    physics.purdue.edu:/pub/bcr/term/patches

  Feel free to mirror these directories on other sites.

WHAT OTHER VERSIONS OF TERM ARE AVAILABLE?

        term110.tar.gz          --> Can't really say
        term111.tar.gz          --> Can't really say
        term112.tar.gz          --> Can't really say
        term113.tar.gz          --> Can't really say
        term114.tar.gz          --> fairly stable BETA version
        term115.tar.gz          --> unstable BETA version
        term116.tar.gz          --> unstable BETA version
        term117.tar.gz          --> unstable BETA version
        term118.tar.gz          --> semi-stable BETA version
        term119.tar.gz          --> Very stable GAMMA version
        term-2.0.X.tar.gz       --> New BETA versions

ANNOUNCING TERM 2.0

Term 2.0 is the first in the version 2 series of term.  In retrospect 
the major # should have been increased with term116's release since this
is when the nature of term started to change...

This release is considered BETA.  BETA does not mean I think it is full of
dangerous bugs, but rather it means I can still count the number of people
who have tested it on my fingers and my toes.

WILL MY PROGRAMS COMPILED WITH VERSION 1 WORK WITH VERSION 2?

  In theory, all of them should.  However, in practice 2 out of 10 alpha
  testers reported one or more of there old binaries wouldn't work.  However,
  after recompiling the programs with the version 2 libraries they worked fine.
  This is the primary reason I've raised the major version number.

  Program sources to avoid:

	"termtelnet" 	This has problems, and may only connect to your remote
                        machine.
                        Solution: Just compile telnet sources instead.
	"xgopher+term"	This seems like a particularly buggy set of xgopher
			patches.  At best it doesn't work.  At worse it will
			will keep asking for more memory until it gets an
			out of memory error.
                        Solution: Just compile xgopher sources instead.
	"termftp"	This isn't safe to use in shared mode.
			Solution: Just compile the ftp sources instead.

WHAT ARE PATCH LEVELS?

  These are my way of building-up a BETA release into a GAMMA release.
  As people report bugs, and fixes are found I generate patches to the
  current BETA version to improve its stability.  When I've gone a
  reasonably long time without any more bug reports, or the only bug
  people have been reporting for a long time gets fixed I may bump
  it up to GAMMA.

WHERE CAN I FIND TERM BINARIES AND APPLICATION SOURCES?

  You can find lots of stuff for old style term support at:
    sunsite.unc.edu:/pub/Linux/apps/comm/termstuff/
    sunsite.unc.edu:/pub/Linux/apps/comm/term/term/extra/

  Since the new-style term support, normally does not require patches to
  the source code, I've just been putting binaries at:

    bohr.physics.purdue.edu:/pub/bcr/term/extra

  - If you are using shared mode, you may need to set "TERMSHARE" to your
  shared directory for these to work.

  NOTE: I haven't updated some of these binaries since term 1.17.0, so if there
  are problems let me know and I'll update to a newer version.

NOTE ABOUT ALPHA VERSIONS:

  Alpha versions are made, public, but if you mirror or copy these to other
  sites, please also copy the README.alpha in the same directory.  I don't
  promise that future term versions will in any way support ALPHA versions,
  so you should only use these versions for testing purposes.

WHAT'S NEW WITH "term 2.0.0"?

   Just the real exciting things:

   - UDP support.  In English, this means you can now run many programs 
     there were previosly unportable to term.  Some working examples
     are:

          xarchie, ytalk, and *fsp

     * I couldn't find a complete working version of fsp 2.7.1 anywhere on
     the net.  So I took fsp-2.71.tar.gz (incomplete) and fsp.271mfpl2.tar.gz
     (doesn't work) and merged them into a mostly complete working version
     that I've uploaded to sunsite.unc.edu as fsp-2.7.1.tar.gz.  Just edit
     the Makefile and it builds for term perfectly.

   - Dynamic shared library support for Linux, SunOS, and NetBSD.   This
     means that not only will you executable by smaller, when later versions
     of the version 2 libraries come out, you don't need to recompile all your
     networking binaries to take advantage of the new features!

   - Easier configuration, with more OS's supported.  Here is the list of
     currently supported OS's.
            IBM AIX
            BSDi
            C220 ConvexOS 11.0
            Dynix/PTX
            HCX/UX 5.1
            HP/UX
            Irix
            Linux 1.0, 1.1
            MachTen
            MIPS
            NetBSD
            NeXT 2.1, 3.0
            OSF/1
            SCO Unix
            SGI
            Solaris 2.x aka SunOS 5.x
            Solaris 1.x aka SunOS 4.x
            SVR4
            Titan/OS
            Ultrix 4.x
      Others are being added constantly, as people send in any needed patches.

What is expected for term 2.1 ?

   - "tdownload"  if we can work the bugs out...
   - The ability to support "inetd" daemons without messy tredir and 
     tupdredir commands.
   - Maybe the ability to connect directly to another term users machine
     without having to know what port #'s they used.  (I'll have to
     think about this one.)
     i.e.  "telnet bcr.physics.purdue.edu.term"
              might work the same as
           "telnet physics.purdue.edu 4000"

       Have fun,

                  Bill ([email-masked])
 
--
Send submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.